org.apache.lucene.codecs.compressing

## Class Compressor

- java.lang.Object
- - org.apache.lucene.codecs.compressing.Compressor

All Implemented Interfaces:
  Closeable, AutoCloseable

    public abstract class Compressor
    extends Object
    implements Closeable

A data compressor.

### Constructor Summary

Constructors
`protected` `Compressor()` Sole constructor, typically called from sub-classes.

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `compress(byte[] bytes, int off, int len, DataOutput out)` Compress bytes into `out`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.io.Closeable

`close`

### Constructor Detail

#### Compressor

    protected Compressor()

Sole constructor, typically called from sub-classes.

### Method Detail

#### compress

    public abstract void compress(byte[] bytes,
                                  int off,
                                  int len,
                                  DataOutput out)
                           throws IOException

Compress bytes into `out`. It is the responsibility of the compressor to add all necessary information so that a `Decompressor` will know when to stop decompressing bytes from the stream.

Throws:
  `IOException`